Bug 2976 - missing dependency on libkrb5-devel, libsasl2-devel
: missing dependency on libkrb5-devel, libsasl2-devel
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/libldap-devel)
: unstable
: all Linux
: P2 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2003-09-12 19:23 by
Modified: 2005-07-13 15:45 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-09-12 19:23:18
В libldap-devel-2.1.22-alt4 отсутствует зависимость на libkrb5-devel, однако
библиотеки Kerberos записаны в dependency_libs в libldap.la. В результате в
hasher невозможно собрать пакеты, использующие libldap; например:

/bin/sh ../libtool --mode=link i586-alt-linux-gcc  -pipe -Wall -O2 -march=i586
-mcpu=i686 -g -I/usr/include/glib-1.2 -I/usr/lib/glib/include -D_REENTRANT   -o
sylpheed  main.o mainwindow.o folderview.o summaryview.o messageview.o
headerview.o textview.o imageview.o mimeview.o summary_search.o
message_search.o
colorlabel.o folder.o procmsg.o procheader.o filter.o action.o compose.o
gtkshruler.o gtksctree.o gtkstext.o menu.o stock_pixmap.o prefs.o
prefs_common.o
prefs_filter.o prefs_account.o prefs_folder_item.o prefs_display_header.o
prefs_customheader.o prefs_summary_column.o prefs_template.o prefs_actions.o
account.o displayheader.o customheader.o template.o addressbook.o addr_compl.o
addritem.o addrcache.o addrbook.o addrindex.o mgutils.o vcard.o ldif.o
importldif.o jpilot.o syldap.o editbook.o editgroup.o editaddress.o editvcard.o
editjpilot.o editldap.o editldap_basedn.o addressadd.o filesel.o foldersel.o
statusbar.o logwindow.o sourcewindow.o manage_window.o undo.o alertpanel.o
inputdialog.o progressdialog.o grouplistdialog.o about.o setup.o utils.o
gtkutils.o codeconv.o unmime.o base64.o quoted-printable.o uuencode.o md5.o
socket.o ssl.o session.o smtp.o pop.o mh.o mbox.o send_message.o recv.o inc.o
import.o export.o nntp.o news.o imap.o xml.o html.o procmime.o rfc2015.o
passphrase.o select-keys.o sigstatus.o simple-gettext.o manual.o stringtable.o
quote_fmt_lex.o quote_fmt_parse.o  -L/usr/X11R6/lib -lgtk -lgdk -rdynamic
-lgmodule -lglib -ldl -lXi -lXext -lX11 -lm  -lgdk_pixbuf -L/usr/X11R6/lib
-lgtk
-lgdk -rdynamic -lgmodule -lglib -ldl -lXi -lXext -lX11 -lm -lgpgme -lresolv
-lnsl -llber -lpthread -lldap -lgthread -lglib -lpthread  -lcompface  -lpisock
-lssl -lcrypto
mkdir .libs
i586-alt-linux-gcc -pipe -Wall -O2 -march=i586 -mcpu=i686 -g
-I/usr/include/glib-1.2 -I/usr/lib/glib/include -D_REENTRANT -o sylpheed main.o
mainwindow.o folderview.o summaryview.o messageview.o headerview.o textview.o
imageview.o mimeview.o summary_search.o message_search.o colorlabel.o folder.o
procmsg.o procheader.o filter.o action.o compose.o gtkshruler.o gtksctree.o
gtkstext.o menu.o stock_pixmap.o prefs.o prefs_common.o prefs_filter.o
prefs_account.o prefs_folder_item.o prefs_display_header.o prefs_customheader.o
prefs_summary_column.o prefs_template.o prefs_actions.o account.o
displayheader.o customheader.o template.o addressbook.o addr_compl.o addritem.o
addrcache.o addrbook.o addrindex.o mgutils.o vcard.o ldif.o importldif.o
jpilot.o syldap.o editbook.o editgroup.o editaddress.o editvcard.o editjpilot.o
editldap.o editldap_basedn.o addressadd.o filesel.o foldersel.o statusbar.o
logwindow.o sourcewindow.o manage_window.o undo.o alertpanel.o inputdialog.o
progressdialog.o grouplistdialog.o about.o setup.o utils.o gtkutils.o
codeconv.o
unmime.o base64.o quoted-printable.o uuencode.o md5.o socket.o ssl.o session.o
smtp.o pop.o mh.o mbox.o send_message.o recv.o inc.o import.o export.o nntp.o
news.o imap.o xml.o html.o procmime.o rfc2015.o passphrase.o select-keys.o
sigstatus.o simple-gettext.o manual.o stringtable.o quote_fmt_lex.o
quote_fmt_parse.o -rdynamic -rdynamic  -L/usr/X11R6/lib
/usr/lib/libgdk_pixbuf.so /usr/lib/libgtk.so /usr/lib/libgdk.so
/usr/lib/libgmodule.so -lXi -lXext -lX11 -lm /usr/lib/libgpgme.so -lnsl
-L/usr/lib/krb5 /usr/lib/libldap.so /usr/lib/liblber.so -lresolv -ldl -lkrb4
-ldes425 -lkrb5 -lcom_err /usr/lib/libgthread.so /usr/lib/libglib.so -lpthread
-lcompface /usr/lib/libpisock.so -lssl -lcrypto
/usr/bin/ld: cannot find -lkrb4
collect2: ld returned 1 exit status
------- Comment #1 From 2003-09-12 20:24:47 -------
Fixed in openldap 2.1.22-alt5
------- Comment #2 From 2003-10-12 09:07:56 -------
В текущем libldap-devel (2.1.22-alt10) эта ошибка всё ещё есть. Более того, там
теперь есть ещё одна пропущенная зависимость - на libsasl2-devel.

Чтобы пакет sylpheed собрался в hasher, мне пришлось вписать туда:

%{?_enable_ldap:BuildPreReq: libsasl2-devel libkrb5-devel}

Я считаю, что эти зависимости должны быть в libldap-devel - писать их в
пакетах,
использующих libldap-devel, но не обращающихся к средствам Kerberos или SASL,
нелогично, а состав их зависит от конфигурации, заданной при сборке openldap.
------- Comment #3 From 2004-06-06 18:41:22 -------
Проблема устранилась в результате уничтожения *.la.